<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.dragontcp.client"
    android:versionCode="4"
    android:versionName="3.0">
    <uses-sdk android:minSdkVersion="29" android:targetSdkVersion="29" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <application android:allowBackup="false" android:extractNativeLibs="true" android:label="DragonTCP VPN" android:usesCleartextTraffic="true">
        <activity android:name=".MainActivity" android:exported="true" android:screenOrientation="portrait">
            <intent-filter><action android:name="android.intent.action.MAIN"/><category android:name="android.intent.category.LAUNCHER"/></intent-filter>
        </activity>
        <service android:name=".DragonService" android:exported="true" android:permission="android.permission.BIND_VPN_SERVICE">
            <intent-filter><action android:name="android.net.VpnService"/></intent-filter>
        </service>
    </application>
</manifest>
